libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::nonnoticer Struct Reference
Error/warning output

No-op message noticer; produces no output. More...

`#include <connection_base.hxx>`

Inheritance diagram for pqxx::nonnoticer:

## Public Member Functions

| nonnoticer ()
virtual void | operator() (const char[]) throw ()
Public Member Functions inherited from pqxx::noticer
| noticer ()
virtual | ~noticer () throw ()

## Detailed Description

No-op message noticer; produces no output.

## Constructor & Destructor Documentation

pqxx::nonnoticer::nonnoticer | ( |  | ) |

## Member Function Documentation

virtual void pqxx::nonnoticer::operator() | ( | const char | [] | ) | throw ()

virtual

Implements pqxx::noticer.

The documentation for this struct was generated from the following file:

- connection_base.hxx